<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <style>
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

    body{
      height: 100vh;
    }

    .container{
      min-height:100vh;
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: 50px 1fr 50px;
      grid-template-areas: 
        "header header header"
        "section section section"
        "footer footer footer"
      ;
      background: blueviolet;
    }

    header{
      background: #bbb;
      grid-area: header;
    }

    header nav {
      display: flex;
      justify-content: space-around;
    }

    header nav div{
      min-width: 2rem;
      align-items: center;
      margin: auto 0rem;
    }

    section{
      background: yellow;
      grid-area: section;
    }

    footer{
      grid-area: footer;
      background: blue;
    }

    .elem{

    }



  </style>
</head>
<body>
  <div class="container">
    <header>
      <nav>
        <div class="elem">1</div>
        <div class="elem">2</div>
        <div class="elem">3</div>
      </nav>
    </header>
    <section>
      <article>Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio sit soluta culpa magnam nemo velit, omnis alias saepe qui. Natus recusandae voluptatibus optio omnis culpa maiores cupiditate ex deleniti! Asperiores!</article>
      <aside>
        <div class="aside-part">1</div>
        <div class="aside-part">2</div>
      </aside>
    </section>
    <footer>
      <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Doloremque, autem!</p>
    </footer>
  </div>
</body>
</html>